package ru.amse.bazylevich.faeditor.ui.fautomaton.util;


import ru.amse.bazylevich.faeditor.fautomaton.ICondition;
import ru.amse.bazylevich.faeditor.fautomaton.impl.Condition;
import ru.amse.bazylevich.faeditor.ui.fautomaton.util.exceptions.IncorrectStringException;


public class ConditionParser {
	
	public static ICondition readCondition(String str) throws IncorrectStringException {
		int size = str.length();
		if (size == 0) {
			throw new IncorrectStringException("Empty string");
		}
		StringBuilder sb = new StringBuilder();
		char[] string = str.toCharArray();
		
		for (int i = 0; i < size; i++) {
			if ((string[i] == ',') || (string[i] == '\40')) {
				//ignore
			} else if (Character.isLetter(string[i]) || Character.isDigit(string[i])) {
				sb.append(string[i]);
			} else {
				throw new IncorrectStringException("Inccorect string");
			}
		}
		return new Condition(sb.toString());
	}
	
}
