package ru.amse.bazylevich.faeditor.ui.menuactions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.JFrame;
import javax.swing.KeyStroke;

import ru.amse.bazylevich.faeditor.ui.fautomaton.JFAutomaton;

public class DeleteAction extends AbstractAction {
	
	private final JFAutomaton myJFAutomaton;
	
	public DeleteAction(JFAutomaton jFAutomaton, JFrame jFrame) {
		super("Delete");
		myJFAutomaton = jFAutomaton;
		putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke("DELETE"));
		setEnabled(false);
		
	}
	
	public void actionPerformed(ActionEvent e) {
		myJFAutomaton.removeSelectedElements();
		myJFAutomaton.fireComponentChanged();
	}
	
}
