package ru.amse.bazylevich.faeditor.fautomaton.algorithms.interpreter.util;

import java.util.LinkedList;
import java.util.List;

import ru.amse.bazylevich.faeditor.fautomaton.IState;
import ru.amse.bazylevich.faeditor.fautomaton.ITransition;

public class Way {
	private final List<ITransition> myTransitionsWay;
	private final List<IState> myStatesWay;
	private final boolean myIsAccepted;
	
	
	public Way(List<ITransition> transitionWay, List<IState> statesWay, boolean isAccepted) {
		myTransitionsWay = new LinkedList<ITransition>(transitionWay);
		myStatesWay = new LinkedList<IState>(statesWay);
		myIsAccepted = isAccepted;
	}
	
	public List<ITransition> getTransitionsWay() {
		return myTransitionsWay;
	}
	
	public boolean isAccepted() {
		return myIsAccepted;
	}
	
	public List<IState> getStatesWay() {
		return myStatesWay;
	}
}
