package ru.amse.bazylevich.faeditor.ui.fautomaton.file;

import java.io.IOException;

import javax.xml.stream.XMLStreamException;
import javax.xml.stream.XMLStreamWriter;

import ru.amse.bazylevich.faeditor.fautomaton.file.AutomatonSaver;
import ru.amse.bazylevich.faeditor.ui.fautomaton.IAutomatonPresentation;
import ru.amse.bazylevich.faeditor.ui.fautomaton.IStatePresentation;

public class AutomatonPresentationSaver {
	
	public static void saveToFile(XMLStreamWriter writer, IAutomatonPresentation automatonPresentation) throws IOException, XMLStreamException {
		writer.writeStartDocument();
		writer.writeStartElement("automatonPresentation");
		AutomatonSaver.saveToFileWhithoutTitle(writer, automatonPresentation.getAutomaton());
		writer.writeStartElement("presentations");
		for (IStatePresentation sPresentation : automatonPresentation.getStatesPresentations()) {
			writer.writeStartElement("presentation");
			writer.writeAttribute("x", (new Integer(sPresentation.getX())).toString());
			writer.writeAttribute("y", (new Integer(sPresentation.getY())).toString());
			writer.writeEndElement();
		}
		writer.writeEndElement();
		writer.writeEndElement();
		writer.close();
	}	
}
